<?
session_start();
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso esta logado!"; }
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
?>
<?php

if($_POST['prossegue']) {
/* Configuração */
$dir = "images/char/"; // Diretório para onde irão as imagens. Tem que setar permissão na pasta 777
$max = "300000"; // Tamanho máximo que as imagens poderão ter.

/* Pega as informações do arquivo */
$f_name = $_FILES['arquivo']['name'];
$f_tmp = $_FILES['arquivo']['tmp_name'];
$f_type = $_FILES['arquivo']['type'];
$f_size = $_FILES['arquivo']['size'];

/* Verifica o formato do arquivo */
if(($f_type != 'image/jpeg') AND ($f_type != 'image/gif')){ echo "Formato do arquivo nao e valido!"; }

/* Verifica o tamanho do arquivo */
elseif($f_size > $max){ echo "erro foto muito pesada, mande uma com no maximo 300kb"; }

/* Verifica se o arquivo já existe no diretório */
elseif(file_exists("$dir/$f_name")){ echo "O arquivo ja existe no diretorio, mude o nome da foto."; }

/* Caso esteja tudo correto ele manda o arquivo para o diretório e imprime a confirmação */
else {

/* Envia a imagem */
move_uploaded_file($f_tmp, $dir.$f_name);
$img = $dir.$f_name;
$tipo = $f_type;
$tamanho = "$f_size". Kb."";

/* Registrando imagem no SQL */
$Query = mssql_query("UPDATE Character SET foto='$f_name' WHERE Name='".$char."'");

/* Imprime a confirmação de que o upload foi realizado com sucesso */
echo "<script>alert('Imagem Enviada.');
location='javascript:history.back()'</script>";
}
}
else {
?>
<style type="text/css">
<!--
.submit {font-size:12px; color:#333; font-family:"Trebuchet MS"; border:1px solid #333333; background-color:#F1F1F1;}
-->
</style>

<form method="post" action="" enctype="multipart/form-data">
  Imagem:
  <input type="file" name="arquivo" />
  <br />
  Char:
  <?
		$Chars = mssql_query("select name from Character where accountid='".$login."'");
		for($p=0;$p<mssql_num_rows($Chars);$p++) {
		$Char=mssql_fetch_row($Chars);
		echo "<br /><a href='banner.php?type=Guild&Name=$Char[0]'>$Char[0]</a><br />";
		}
		?>
  <br />
  <?php
if ($type == 'Guild'){
echo 'Guild: <select name="guild" id="guild">';
		$check_guild_char_query = mssql_query("SELECT * FROM GuildMember WHERE Name='$Name'");
		$guild_dados_char = mssql_fetch_array($check_guild_char_query);
		$guild_dados_query = mssql_query("SELECT * FROM Guild WHERE G_Name='$guild_dados_char[G_Name]'");
		for($p=0;$p<mssql_num_rows($guild_dados_query);$p++) {
		$Guild=mssql_fetch_array($guild_dados_query);
		echo '<option value='.$Guild[G_Name].'>'.$Guild[G_Name].'</option>';
		}
        echo '</select><br />';
?>
  <input type="submit" class="submit" name="prossegue" id="prossegue" value="Enviar" />
</form>
<? } } } } ?>
